/* program option variables */

struct OPTIONS{

  char pfile[100]; //pdb file name
  double thr; //contact threshold
  int Ntypes; // number of aa types
  double T; //temperature
  char afile[100]; //average score file
  int nrun; // number of runs (sequences)
  int step; // number of MC steps (attempted mutations)
  char emfname[100]; // energy matrix file
  char cfile[100]; // aa compostion file
  double eps; // composition variation 
  char ffile[100]; // contact frequency file
  char ofile[100]; // output file
  char prfile[100]; // pssm file
  double rw; // weight for the pairwise energy term
  char nalign[100]; // native alignment file
  char calign[100]; // control alignment file

  long sseed; //random number seed
  int seqlength; //sequence length
  char *initialseq; //initial sequence
  int temp_depend; // perform temperature dependent average z score calculation

  char CMfile[100]; // contact matrix file
  int CM;  // whether to use extraneous contact matrix

  double astep; // number of accepted mutations (HomologyDetection)

};
